package com.mortals.xhx.base.system.idgenerator.model;

import java.util.List;

/**
 * <p>Title: id生成器</p>
 * <p>Description: IdgeneratorQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 *
 * @author
 * @version 1.0.0
 */
public class IdgeneratorQuery extends IdgeneratorEntity {

    private static final long serialVersionUID = 1555564885342L;

    /** 开始 菜单ID，主键，自增长 */
    private Long idStart;

    /** 结束 菜单ID，主键，自增长 */
    private Long idEnd;

    /** 增加 菜单ID，主键，自增长 */
    private Long idIncrement;

    /** 菜单ID，主键，自增长 */
    private List<Long> idList;

    /** id类型 */
    private List<String> idTypeList;

    /** 开始 当前id最大值 */
    private Long idMaxValueStart;

    /** 结束 当前id最大值 */
    private Long idMaxValueEnd;

    /** 增加 当前id最大值 */
    private Long idMaxValueIncrement;

    /** 当前id最大值 */
    private List<Long> idMaxValueList;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 版本号，默认0 */
    private Long versionNumStart;

    /** 结束 版本号，默认0 */
    private Long versionNumEnd;

    /** 增加 版本号，默认0 */
    private Long versionNumIncrement;

    /** 版本号，默认0 */
    private List<Long> versionNumList;

    /** 开始 最后修改时间 */
    private String gmtModifyStart;

    /** 结束 最后修改时间 */
    private String gmtModifyEnd;


    public IdgeneratorQuery() {
    }

    /**
     * 获取 开始 菜单ID，主键，自增长
     *
     * @return idStart
     */
    public Long getIdStart() {
        return this.idStart;
    }

    /**
     * 设置 开始 菜单ID，主键，自增长
     *
     * @param idStart
     */
    public void setIdStart(Long idStart) {
        this.idStart = idStart;
    }

    /**
     * 获取 结束 菜单ID，主键，自增长
     *
     * @return idEnd
     */
    public Long getIdEnd() {
        return this.idEnd;
    }

    /**
     * 设置 结束 菜单ID，主键，自增长
     *
     * @param idEnd
     */
    public void setIdEnd(Long idEnd) {
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 菜单ID，主键，自增长
     *
     * @return idIncrement
     */
    public Long getIdIncrement() {
        return this.idIncrement;
    }

    /**
     * 设置 增加 菜单ID，主键，自增长
     *
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement) {
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 菜单ID，主键，自增长
     *
     * @return idList
     */
    public List<Long> getIdList() {
        return this.idList;
    }

    /**
     * 设置 菜单ID，主键，自增长
     *
     * @param idList
     */
    public void setIdList(List<Long> idList) {
        this.idList = idList;
    }

    /**
     * 获取 id类型
     *
     * @return idTypeList
     */
    public List<String> getIdTypeList() {
        return this.idTypeList;
    }

    /**
     * 设置 id类型
     *
     * @param idTypeList
     */
    public void setIdTypeList(List<String> idTypeList) {
        this.idTypeList = idTypeList;
    }

    /**
     * 获取 开始 当前id最大值
     *
     * @return idMaxValueStart
     */
    public Long getIdMaxValueStart() {
        return this.idMaxValueStart;
    }

    /**
     * 设置 开始 当前id最大值
     *
     * @param idMaxValueStart
     */
    public void setIdMaxValueStart(Long idMaxValueStart) {
        this.idMaxValueStart = idMaxValueStart;
    }

    /**
     * 获取 结束 当前id最大值
     *
     * @return idMaxValueEnd
     */
    public Long getIdMaxValueEnd() {
        return this.idMaxValueEnd;
    }

    /**
     * 设置 结束 当前id最大值
     *
     * @param idMaxValueEnd
     */
    public void setIdMaxValueEnd(Long idMaxValueEnd) {
        this.idMaxValueEnd = idMaxValueEnd;
    }

    /**
     * 获取 增加 当前id最大值
     *
     * @return idMaxValueIncrement
     */
    public Long getIdMaxValueIncrement() {
        return this.idMaxValueIncrement;
    }

    /**
     * 设置 增加 当前id最大值
     *
     * @param idMaxValueIncrement
     */
    public void setIdMaxValueIncrement(Long idMaxValueIncrement) {
        this.idMaxValueIncrement = idMaxValueIncrement;
    }

    /**
     * 获取 当前id最大值
     *
     * @return idMaxValueList
     */
    public List<Long> getIdMaxValueList() {
        return this.idMaxValueList;
    }

    /**
     * 设置 当前id最大值
     *
     * @param idMaxValueList
     */
    public void setIdMaxValueList(List<Long> idMaxValueList) {
        this.idMaxValueList = idMaxValueList;
    }

    /**
     * 获取 备注
     *
     * @return remarkList
     */
    public List<String> getRemarkList() {
        return this.remarkList;
    }

    /**
     * 设置 备注
     *
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList) {
        this.remarkList = remarkList;
    }

    /**
     * 获取 开始 版本号，默认0
     *
     * @return versionNumStart
     */
    public Long getVersionNumStart() {
        return this.versionNumStart;
    }

    /**
     * 设置 开始 版本号，默认0
     *
     * @param versionNumStart
     */
    public void setVersionNumStart(Long versionNumStart) {
        this.versionNumStart = versionNumStart;
    }

    /**
     * 获取 结束 版本号，默认0
     *
     * @return versionNumEnd
     */
    public Long getVersionNumEnd() {
        return this.versionNumEnd;
    }

    /**
     * 设置 结束 版本号，默认0
     *
     * @param versionNumEnd
     */
    public void setVersionNumEnd(Long versionNumEnd) {
        this.versionNumEnd = versionNumEnd;
    }

    /**
     * 获取 增加 版本号，默认0
     *
     * @return versionNumIncrement
     */
    public Long getVersionNumIncrement() {
        return this.versionNumIncrement;
    }

    /**
     * 设置 增加 版本号，默认0
     *
     * @param versionNumIncrement
     */
    public void setVersionNumIncrement(Long versionNumIncrement) {
        this.versionNumIncrement = versionNumIncrement;
    }

    /**
     * 获取 版本号，默认0
     *
     * @return versionNumList
     */
    public List<Long> getVersionNumList() {
        return this.versionNumList;
    }

    /**
     * 设置 版本号，默认0
     *
     * @param versionNumList
     */
    public void setVersionNumList(List<Long> versionNumList) {
        this.versionNumList = versionNumList;
    }

    /**
     * 获取 开始 最后修改时间
     *
     * @return gmtModifyStart
     */
    public String getGmtModifyStart() {
        return this.gmtModifyStart;
    }

    /**
     * 设置 开始 最后修改时间
     *
     * @param gmtModifyStart
     */
    public void setGmtModifyStart(String gmtModifyStart) {
        this.gmtModifyStart = gmtModifyStart;
    }

    /**
     * 获取 结束 最后修改时间
     *
     * @return gmtModifyEnd
     */
    public String getGmtModifyEnd() {
        return this.gmtModifyEnd;
    }

    /**
     * 设置 结束 最后修改时间
     *
     * @param gmtModifyEnd
     */
    public void setGmtModifyEnd(String gmtModifyEnd) {
        this.gmtModifyEnd = gmtModifyEnd;
    }


}